GRODVI(1) | General Commands Manual | GRODVI(1)

# NAME

grodvi - convert groff output to TeX dvi format

# SYNOPSIS

grodvi [ -dlv ] [ -F dir ] [ -p papersize ] [ -w n ] [ files... ]

It is possible to have whitespace between a command line option and its parameter.

# DESCRIPTION

grodvi is a driver for groff that produces TeX dvi format. Normally it should be run by groff -Tdvi. This will run troff -Tdvi; it will also input the macros in /usr/share/tmac/dvi.tmac.

The dvi file generated by grodvi can be printed by any correctly-written dvi driver. The troff drawing primitives are implemented using the tpic version 2 specials. If the driver does not support these, the \D commands will not produce any output.

There is an additional drawing command available:

\D'R dh dv'
  Draw a rule (solid black rectangle), with one corner at the current position, and the diagonally opposite corner at the current position +(dh,dv). Afterwards the current position will be at the opposite corner. This produces a rule in the dvi file and so can be printed even with a driver that does not support the tpic specials unlike the other \D commands.

The groff command \X'anything' is translated into the same command in the dvi file as would be produced by \special{anything} in TeX; anything may not contain a newline.

For inclusion of EPS image files, -Tdvi loads pspic.tmac automatically, providing the PSPIC macro. Please check groff_tmac(5) for a detailed description.

Font files for grodvi can be created from tfm files using tfmtodit(1). The font description file should contain the following additional commands:

internalname name
  The name of the tfm file (without the .tfm extension) is name.
checksum n
  The checksum in the tfm file is n.
designsize n
  The designsize in the tfm file is n.

These are automatically generated by tfmtodit.

The default color for \m and \M is black. Currently, the drawing color for \D commands is always black, and fill color values are translated to gray.

In troff the \N escape sequence can be used to access characters by their position in the corresponding tfm file; all characters in the tfm file can be accessed this way.

By design, the DVI format doesn't care about physical dimensions of the output medium. Instead, grodvi emits the equivalent to TeX's \special{papersize=width,length} on the first page; dvips (and possibly other DVI drivers) then sets the page size accordingly. If either the page width or length is not positive, no papersize special is output.

# OPTIONS

-d
  Do not use tpic specials to implement drawing commands. Horizontal and vertical lines will be implemented by rules. Other drawing commands will be ignored.
-F dir
  Prepend directory dir/dev name to the search path for font and device description files; name is the name of the device, usually dvi.
-l
  Specify landscape orientation.
-p papersize
  Specify paper dimensions. This overrides the papersize, paperlength, and paperwidth commands in the DESC file; it accepts the same arguments as the papersize command (see groff_font(5) for details).
-v
  Print the version number.
-w n
  Set the default line thickness to n thousandths of an em. If this option isn't specified, the line thickness defaults to 0.04 em.

# USAGE

There are styles called R, I, B, and BI mounted at font positions 1 to 4. The fonts are grouped into families T and H having members in each of these styles:

TR
  CM Roman (cmr10)
TI
  CM Text Italic (cmti10)
TB
  CM Bold Extended Roman (cmbx10)
TBI
  CM Bold Extended Text Italic (cmbxti10)
HR
  CM Sans Serif (cmss10)
HI
  CM Slanted Sans Serif (cmssi10)
HB
  CM Sans Serif Bold Extended (cmssbx10)
HBI
  CM Slanted Sans Serif Bold Extended (cmssbxo10)

There are also the following fonts which are not members of a family:

CW
  CM Typewriter Text (cmtt10)
CWI
  CM Italic Typewriter Text (cmitt10)

Special fonts are MI (cmmi10), S (cmsy10), EX (cmex10), SC (cmtex10, only for CW), and, perhaps surprisingly, TR, TI, and CW, due to the different font encodings of text fonts. For italic fonts, CWI is used instead of CW.

Finally, the symbol fonts of the American Mathematical Society are available as special fonts SA (msam10) and SB (msbm10). These two fonts are not mounted by default.

Using the option -mec (which loads the file ec.tmac) provides the EC and TC fonts. The design of the EC family is very similar to that of the CM fonts; additionally, they give a much better coverage of groff symbols. Note that ec.tmac must be called before any language-specific files; it doesn't take care of hcode values.

# FILES

/usr/share/groff_font/devdvi/DESC
  Device description file.
/usr/share/groff_font/devdvi/F
  Font description file for font F.
/usr/share/tmac/dvi.tmac
  Macros for use with grodvi.
/usr/share/tmac/ec.tmac
  Macros to switch to EC fonts.

# BUGS

Dvi files produced by grodvi use a different resolution (57816 units per inch) to those produced by TeX. Incorrectly written drivers which assume the resolution used by TeX, rather than using the resolution specified in the dvi file will not work with grodvi.

When using the -d option with boxed tables, vertical and horizontal lines can sometimes protrude by one pixel. This is a consequence of the way TeX requires that the heights and widths of rules be rounded.

# SEE ALSO

tfmtodit(1), groff(1), troff(1), groff_out(5), groff_font(5), groff_char(7), groff_tmac(5)

September 4, 2005 | Groff Version 1.19.2